Index: trunk/examples/extended/medical/fanoCavity2/README
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/README	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/README	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: README,v 1.8 2007/11/12 18:19:30 maire Exp $
+$Id: README,v 1.11 2009/10/31 18:05:56 maire Exp $
 -------------------------------------------------------------------
 
@@ -82,6 +82,6 @@
     - Bremsstrahlung : Fano conditions imply no energy transfer via
     bremsstrahlung radiation. Therefore this process is not registered in the
-    physics list. However, it is always possible to include it via an UI
-    command. See PhysicsListMessenger class.
+    physics list. However, it is always possible to include it. 
+    See PhysListEm classes.
     
     - Ionization : In order to have same stopping power in wall and cavity, one
@@ -125,8 +125,8 @@
    
    One can control the name of the histograms file with the command:
-   /testem/histo/setFileName  name  (default fanoCavity)
+   /testem/histo/setFileName  name  (default fanocavity2)
    
    It is possible to choose the format of the histogram file (hbook, root, XML)
-   with the command /testem/histo/setFileType (hbook by default)
+   with the command /testem/histo/setFileType (root by default)
    
    It is also possible to print selected histograms on an ascii file:
@@ -156,44 +156,3 @@
 
   To use histograms, at least one of the AIDA implementations should be 
-  available (see http://aida.freehep.org).
-  
- 8a - PI 
-
-  A package including AIDA and extended interfaces also using Python is PI, 
-  available from: http://cern.ch/pi
-
-  Once installed PI or PI-Lite in a specified local area $MYPY, it is required 
-  to add the installation path to $PATH, i.e. for example, for release 1.2.1 of 
-  PI:
-  setenv PATH ${PATH}:$MYPI/1.2.1/app/releases/PI/PI_1_2_1/rh73_gcc32/bin
-
-  CERN users can use the PATH to the LCG area on AFS.
-  Before running the example the command should be issued:
-  eval `aida-config --runtime csh`
-
- 8b -  OpenScientist
-
-  OpenScientist is available at http://OpenScientist.lal.in2p3.fr.
-
-  You have to "setup" the OpenScientist AIDA implementation before compiling
-  (then with G4ANALYSIS_USE set) and running your Geant4 application.
-
- On UNIX you setup, with a csh flavoured shell : 
-	csh> source <<OpenScientist install path>/aida-setup.csh 
-        or with a sh flavoured shell : 
-	sh> . <<OpenScientist install path>/aida-setup.sh
- On Windows : 
-	DOS> call <<OpenScientist install path>/aida-setup.bat 
-
-  You can use various file formats for writing (AIDA-XML, hbook, root).
-  These formats are readable by the Lab onx interactive program
-  or the OpenPAW application. See the web pages.
-
-
-  With OpenPAW, on a run.hbook file, one can view the histograms
-  with something like :
-	OS> opaw 
-        opaw> h/file 1 run.hbook  ( or opaw> h/file 1 run.aida or run.root)  
-	opaw> zone 2 2 
-	opaw> h/plot 1 
-	opaw> h/plot 2
+  available. See InstallAida.txt
Index: trunk/examples/extended/medical/fanoCavity2/essai.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/essai.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/essai.mac	(revision 1337)
@@ -1,8 +1,8 @@
-# $Id: essai.mac,v 1.5 2009/10/31 18:05:56 maire Exp $
+# $Id: essai.mac,v 1.6 2010/01/20 15:41:14 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
 #
-/testem/phys/addPhysics standard_opt3
+/testem/phys/addPhysics standard_WVI
 #
 /run/initialize
@@ -10,5 +10,5 @@
 /gun/energy 1 MeV
 #
-/testem/event/printModulo 100000
+/testem/event/printModulo 10000
 #
-/run/beamOn 1000000
+/run/beamOn 100000
Index: trunk/examples/extended/medical/fanoCavity2/fanoCavity2.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/fanoCavity2.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/fanoCavity2.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: fanoCavity2.cc,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/fanoCavity2.in
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/fanoCavity2.in	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/fanoCavity2.in	(revision 1337)
@@ -1,6 +1,8 @@
-# $Id: fanoCavity2.in,v 1.2 2007/11/05 13:19:16 maire Exp $
+# $Id: fanoCavity2.in,v 1.3 2009/10/31 18:05:56 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
+#
+/testem/phys/addPhysics standard_opt3
 #
 /run/initialize
Index: trunk/examples/extended/medical/fanoCavity2/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/DetectorConstruction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/DetectorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/EventAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/HistoManager.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/HistoManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.3 2007/11/12 18:19:30 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/HistoMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/HistoMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/12 18:19:30 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/MyMollerBhabhaModel.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/MyMollerBhabhaModel.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/MyMollerBhabhaModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity2/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/PhysicsList.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.2 2009/10/31 18:05:56 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.2 2009/10/31 18:05:56 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/ProcessesCount.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/ProcessesCount.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/ProcessesCount.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ProcessesCount.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/RunAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/StepMax.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/StepMax.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/StepMax.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/StepMaxMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/StepMaxMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/SteppingVerbose.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/TrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/include/TrackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/run01.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/run01.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/run01.mac	(revision 1337)
@@ -1,8 +1,13 @@
-# $Id: run01.mac,v 1.3 2009/10/31 18:05:56 maire Exp $
+# $Id: run01.mac,v 1.4 2010/01/20 15:41:14 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
 #
+###/testem/phys/addPhysics standard_opt0
+###/testem/phys/addPhysics standard_opt2
 /testem/phys/addPhysics standard_opt3
+###/testem/phys/addPhysics standard_GS
+###/testem/phys/addPhysics standard_WVI
+###/testem/phys/addPhysics standard_SS
 #
 /run/initialize
Index: trunk/examples/extended/medical/fanoCavity2/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/DetectorConstruction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.2 2007/11/05 13:19:16 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 //
Index: trunk/examples/extended/medical/fanoCavity2/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/DetectorMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.2 2007/11/05 13:19:16 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/EventAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/EventAction.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: EventAction.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: EventAction.cc,v 1.3 2010/06/07 05:40:46 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -37,7 +37,4 @@
 
 #include "G4Event.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -69,21 +66,6 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-void EventAction::EndOfEventAction(const G4Event* evt)
+void EventAction::EndOfEventAction(const G4Event*)
 {  
-  //trajectories
-  //
-  if (G4VVisManager::GetConcreteInstance())
-  {
-   G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
-   G4int n_trajectories = 0;
-   if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();  
-   for(G4int i=0; i<n_trajectories; i++) 
-      { G4Trajectory* trj = (G4Trajectory*)
-                                       ((*(evt->GetTrajectoryContainer()))[i]);
-        if (drawFlag == "all") trj->DrawTrajectory(1000);
-        else if ((drawFlag == "charged")&&(trj->GetCharge() != 0.))
-                               trj->DrawTrajectory(); 
-      }
-  }
 }
 
Index: trunk/examples/extended/medical/fanoCavity2/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/EventActionMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/HistoManager.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/HistoManager.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.cc,v 1.5 2008/09/28 16:15:39 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/HistoMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/HistoMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.2 2007/11/12 18:19:30 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/MyMollerBhabhaModel.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/MyMollerBhabhaModel.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/MyMollerBhabhaModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/PhysicsList.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.7 2009/10/31 18:05:01 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.cc,v 1.8 2010/01/20 15:41:14 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,6 +34,8 @@
 
 #include "PhysListEmStandard_option0.hh"
+#include "PhysListEmStandard_option2.hh"
 #include "PhysListEmStandard_option3.hh"
 #include "PhysListEmStandard_GS.hh"
+#include "PhysListEmStandard_WVI.hh"
 #include "PhysListEmStandard_SS.hh"
 
@@ -149,4 +151,10 @@
     emPhysicsList = new PhysListEmStandard_option0(name,detector);
     
+  } else if (name == "standard_opt2") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_option2(name,detector);
+    
   } else if (name == "standard_opt3") {
 
@@ -154,5 +162,5 @@
     delete emPhysicsList;
     emPhysicsList = new PhysListEmStandard_option3(name,detector);
-    
+        
   } else if (name == "standard_GS") {
 
@@ -160,10 +168,17 @@
     delete emPhysicsList;
     emPhysicsList = new PhysListEmStandard_GS(name,detector);    
-    
+        
+  } else if (name == "standard_WVI") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_WVI(name,detector);
+            
   } else if (name == "standard_SS") {
 
     emName = name;
     delete emPhysicsList;
-    emPhysicsList = new PhysListEmStandard_SS(name,detector);    
+    emPhysicsList = new PhysListEmStandard_SS(name,detector);
+        
   } else {
 
Index: trunk/examples/extended/medical/fanoCavity2/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/PhysicsListMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/PhysicsListMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.2 2009/10/31 18:05:01 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/PrimaryGeneratorAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/RunAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/RunAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/RunAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.3 2007/11/05 13:19:16 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/StepMax.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/StepMax.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/StepMax.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/StepMaxMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/StepMaxMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/SteppingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/SteppingVerbose.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/src/TrackingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/src/TrackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.cc,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/vis.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/vis.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/vis.mac	(revision 1337)
@@ -10,24 +10,70 @@
 /run/initialize
 #
-# Create empty scene ("world" is default)
-/vis/scene/create
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# Create a scene handler for a specific graphics system
-# Edit the next line(s) to choose another graphic system
-#
-/vis/open OGLIX
-#
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
 #/vis/open DAWNFILE
 #
-# Draw scene
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
+#
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# if too many tracks cause core dump => storeTrajectory 0
-/tracking/storeTrajectory 1
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 1
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-/testem/event/drawTracks all
-
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
